%define _disable_ld_as_needed   1
# optional compile flags
%define enable_python 1
%{?_without_python: %global enable_python 0}

%define enable_lzw 0
%{?_with_lzw: %global enable_lzw 1}

%define api 2.0
%define abi 2.8
%define major 0
%define libname	%mklibname %{name} %{api}_%{major}
%define develname %mklibname -d %{name}%{api}

Summary:	The GNU Image Manipulation Program
Name:		gimp
Epoch:		1
Version:	2.8.2
Release:	1
License:	GPLv2+
Group:		Graphics
URL:		http://www.gimp.org/
Source0:	ftp://ftp.gimp.org/pub/gimp/v%{abi}/gimp-%{version}.tar.bz2
Source1:	ftp://ftp.gimp.org/pub/gimp/v%{abi}/gimp-%{version}.tar.bz2.md5
Source13:	gimp-scripting-sample.pl
Patch0:		gimp-2.5.1-desktopentry.patch

BuildRequires:	desktop-file-utils
BuildRequires:	gtk-doc
BuildRequires:	imagemagick
BuildRequires:	intltool
BuildRequires:	perl
BuildRequires:	aalib-devel
BuildRequires:	jasper-devel
BuildRequires:	libwmf-devel >= 0.2.8
BuildRequires:	mng-devel
BuildRequires:	tiff-devel
BuildRequires:	pkgconfig(alsa)
Buildrequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gegl-0.2)
BuildRequires:	pkgconfig(atk) >= 2.2.0
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.30.2
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libart-2.0)
BuildRequires:	pkgconfig(lcms)
BuildRequires:	libpng-devel
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(poppler-glib)
# help browser
BuildRequires:	pkgconfig(webkit-1.0)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(xpm)
# mail plugin
BuildRequires:	sendmail-command
# print plugin
#BuildRequires: libgimpprint-devel >= 4.2.0
# python plugin
%if %{enable_python}
BuildRequires:	pkgconfig(pygtk-2.0)
BuildRequires:	python-devel
%endif
# Require gegl, otherwise GIMP crashes on some operations
# (at least on cage transformation)
Requires:	gegl

Requires(post,postun): desktop-file-utils
Suggests:	gimp-help-2

%rename gimp2.6

%description
The GIMP is an image manipulation program suitable for photo retouching,
image composition and image authoring.  Many people find it extremely useful
in creating logos and other graphics for web pages.  The GIMP has many of the
tools and filters you would expect to find in similar commercial offerings,
and some interesting extras as well.

The GIMP provides a large image manipulation toolbox, including channel
operations and layers, effects, sub-pixel imaging and anti-aliasing,
and conversions, all with multi-level undo.

This version of The GIMP includes a scripting facility, but many of the
included scripts rely on fonts that we cannot distribute.  The GIMP ftp
site has a package of fonts that you can install by yourself, which
includes all the fonts needed to run the included scripts.  Some of the
fonts have unusual licensing requirements; all the licenses are documented
in the package.  Get them in ftp://ftp.gimp.org/pub/gimp/fonts/ if you are so
inclined.  Alternatively, choose fonts which exist on your system before
running the scripts.

Build Options:
--without python        Disable pygimp (default enabled)
--with    lzw           Enable LZW compression in GIF (default disabled)

%package -n %{develname}
Summary:	GIMP plugin and extension development kit
Group:		Development/GNOME and GTK+
License:	LGPLv2+
Requires:	%{libname} >= %{EVRD}
Provides:	gimp-devel = %{version}-%{release}

%description -n %{develname}
Static libraries and header files for writing GIMP plugins and extensions.

%package -n %{libname}
Summary:	GIMP libraries
Group:		System/Libraries
License:	LGPLv2+

%description -n %{libname}
This is the library that provides core GIMP functionality.
It enable other programs to use GIMP's features but is mainly intended
to be used by the GIMP and its "external" plugins.

%package python
Summary:	GIMP python extension
Group:		Graphics
Requires:	pygtk2.0

%description python
This package contains the python modules for GIMP, which act as a
wrapper to libgimp allowing the writing of plug-ins for Gimp.
This is similar to script-fu, except that you can use the full set
of Python extension modules from the plug-in, and you write plug-in
in python instead of in scheme.

%prep

%setup -q
%apply_patches

%build
%configure \
	--disable-static \
	--enable-default-binary=yes \
	--enable-mp=yes		\
%if %{enable_python}
	--enable-python=yes	\
%else
	--enable-python=no	\
%endif
%if %enable_lzw
	--with-gif-compression=lzw	\
%else
	--with-gif-compression=rle	\
%endif
	--without-hal \
	--with-gvfs \
	--with-dbus \
	--enable-gtk-doc=yes

%make

%install
%makeinstall_std

#clean unpackaged files
rm -f %{buildroot}%{_libdir}/gimp/%{api}/*/*.a
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

# workaround broken help system
HELP_DIR=%{buildroot}%{_datadir}/gimp/%api/help/C
[[ -d $HELP_DIR ]] || mkdir -p $HELP_DIR
HELP_IDX=$HELP_DIR/introduction.html
echo -e '<HTML><HEAD><TITLE>GIMP Base Library</HEAD>\n<BODY><UL>' > $HELP_IDX

/bin/ls %{buildroot}%{_datadir}/gtk-doc/html/*/index.html | sed -e "s@%{buildroot}@@g" >> $HELP_IDX
perl -pi -e 's!(.*/html/)([^/]*)(/index.html)!<LI><A HREF="\1\2\3">\2</A>!g' $HELP_IDX

echo '</UL></BODY></HTML>' >> $HELP_IDX

%find_lang gimp20 --all-name

%if %{enable_python}
chmod 755 %{buildroot}%{_libdir}/gimp/%{api}/plug-ins/*.py
mkdir -p %{buildroot}%{_libdir}/python%{py_ver}/site-packages
echo %{_libdir}/gimp/%{api}/python > %{buildroot}%{_libdir}/python%{py_ver}/site-packages/gimp.pth
echo %{_libdir}/gimp/%{api}/plug-ins >> %{buildroot}%{_libdir}/python%{py_ver}/site-packages/gimp.pth
%endif

desktop-file-install --vendor="" \
	--add-category="X-MandrivaLinux-CrossDesktop" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*

%files -f gimp20.lang
%doc AUTHORS NEWS README README.i18n docs/Wilber*
%config(noreplace) %{_sysconfdir}/gimp
%{_bindir}/gimp
%{_bindir}/gimp-%{abi}
%{_bindir}/gimp-console
%{_bindir}/gimp-console-%{abi}
%dir %{_libdir}/gimp/%{api}
%dir %{_libdir}/gimp/%{api}/environ
%{_libdir}/gimp/%{api}/interpreters
%{_libdir}/gimp/%{api}/environ/default.env
%{_libdir}/gimp/%{api}/modules
%{_libdir}/gimp/%{api}/plug-ins
%exclude %{_libdir}/gimp/%{api}/plug-ins/*.py
%{_datadir}/applications/*
%{_datadir}/gimp
%{_datadir}/icons/hicolor/*/apps/gimp.png
%{_mandir}/man1/gimp-*
%{_mandir}/man1/gimp.*
%{_mandir}/man5/gimp*

%files -n %{develname}
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/*
%{_bindir}/gimptool-*
%{_datadir}/aclocal/*.m4
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_mandir}/man1/gimptool-*

%files -n %{libname}
# explicitly list all libs to avoid old libtool issue
# MD these should be split up
%{_libdir}/libgimpconfig-%{api}.so.%{major}*
%{_libdir}/libgimp-%{api}.so.%{major}*
%{_libdir}/libgimpthumb-%{api}.so.%{major}*
%{_libdir}/libgimpbase-%{api}.so.%{major}*
%{_libdir}/libgimpcolor-%{api}.so.%{major}*
%{_libdir}/libgimpmath-%{api}.so.%{major}*
%{_libdir}/libgimpmodule-%{api}.so.%{major}*
%{_libdir}/libgimpui-%{api}.so.%{major}*
%{_libdir}/libgimpwidgets-%{api}.so.%{major}*

%if %{enable_python}
%files python
%{_libdir}/gimp/%{api}/environ/pygimp.env
%{_libdir}/gimp/%{api}/python
%{_libdir}/gimp/%{api}/plug-ins/*.py
%{_libdir}/python%{py_ver}/site-packages/*.pth
%endif


%changelog
* Fri Aug 24 2012 Alexander Khrukin <akhrukin@mandriva.org> 1:2.8.2-1
+ Revision: 815693
- version update 2.8.2

  + Götz Waschk <waschk@mandriva.org>
    - add versioned dep on glib
    - update build deps for atk
    - fix libpng build dep

* Tue May 15 2012 Andrey Bondrov <abondrov@mandriva.org> 1:2.8.0-2
+ Revision: 799027
- Add gegl to Requires to fix crash on some operations

* Sun May 13 2012 Matthew Dawkins <mattydaw@mandriva.org> 1:2.8.0-1
+ Revision: 798569
- new version 2.8.0

* Fri Feb 03 2012 Oden Eriksson <oeriksson@mandriva.com> 1:2.6.12-1
+ Revision: 770987
- 2.6.12
- drop a lot of redundant patches

* Fri Dec 23 2011 Matthew Dawkins <mattydaw@mandriva.org> 1:2.6.11-11
+ Revision: 744699
- pcpa method for proper linking to libm
- clean up spec for build
- converted BRs to pkgconfig provides
- removed hal build support
- employeed apply_patches
- removed old obsoletes, provides & conflicts

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against libtiff.so.5

* Fri Nov 04 2011 Oden Eriksson <oeriksson@mandriva.com> 1:2.6.11-10
+ Revision: 717640
- sync with MDVSA-2011:167
- cleanups

* Tue Oct 04 2011 Oden Eriksson <oeriksson@mandriva.com> 1:2.6.11-9
+ Revision: 702714
- remove the libffi deps (wtf?)
- duh...

* Tue Oct 04 2011 Oden Eriksson <oeriksson@mandriva.com> 1:2.6.11-8
+ Revision: 702686
- fix build against libpng15.so.15 (opensuse)
- fix weird deps problems (which libffi?)
- attempt to relink against libpng15.so.15

* Mon Jun 20 2011 Funda Wang <fwang@mandriva.org> 1:2.6.11-7
+ Revision: 686255
- rebuild for new webkit

* Sun May 29 2011 Oden Eriksson <oeriksson@mandriva.com> 1:2.6.11-6
+ Revision: 681658
- sync with gimp-2.6.11-14.fc16.src.rpm (fixes CVE-2010-4540,4541,4542,4543,CVE-2011-1782)

* Thu May 05 2011 Matthew Dawkins <mattydaw@mandriva.org> 1:2.6.11-5
+ Revision: 669406
- made build with HAL an option default disabled

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 1:2.6.11-4
+ Revision: 664833
- mass rebuild

  + Matthew Dawkins <mattydaw@mandriva.org>
    - fixed files list to avoid pkging of gimptool manpage into two rpms

* Thu Dec 30 2010 Funda Wang <fwang@mandriva.org> 1:2.6.11-3mdv2011.0
+ Revision: 626156
- rebuild for new poppler

* Wed Nov 03 2010 Götz Waschk <waschk@mandriva.org> 1:2.6.11-2mdv2011.0
+ Revision: 592954
- rebuild for new python 2.7

* Mon Oct 04 2010 Funda Wang <fwang@mandriva.org> 1:2.6.11-1mdv2011.0
+ Revision: 582809
- new version 2.6.11

* Thu Aug 05 2010 Funda Wang <fwang@mandriva.org> 1:2.6.10-2mdv2011.0
+ Revision: 566258
- rebuild for new poppler

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 1:2.6.10-1mdv2011.0
+ Revision: 550651
- update to new version 2.6.10

* Sat Jul 10 2010 Götz Waschk <waschk@mandriva.org> 1:2.6.9-1mdv2011.0
+ Revision: 550308
- update to new version 2.6.9

* Sun Feb 14 2010 Götz Waschk <waschk@mandriva.org> 1:2.6.8-3mdv2010.1
+ Revision: 505804
- rebuild for new gegl

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1:2.6.8-2mdv2010.1
+ Revision: 488757
- rebuilt against libjpeg v8

* Fri Dec 11 2009 Funda Wang <fwang@mandriva.org> 1:2.6.8-1mdv2010.1
+ Revision: 476374
- new version 2.6.8

* Fri Dec 11 2009 Oden Eriksson <oeriksson@mandriva.com> 1:2.6.7-5mdv2010.1
+ Revision: 476344
- P8: security fix for CVE-2009-1570 (new patch)
- P9: security fix for CVE-2009-3909

* Thu Nov 12 2009 Götz Waschk <waschk@mandriva.org> 1:2.6.7-4mdv2010.1
+ Revision: 465384
- patch for CVE-2009-1570

* Fri Oct 16 2009 Funda Wang <fwang@mandriva.org> 1:2.6.7-3mdv2010.0
+ Revision: 457820
- fix upstream bug#598516 (quite misleading translation)

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 1:2.6.7-2mdv2010.0
+ Revision: 416656
- rebuilt against libjpeg v7

* Sat Aug 15 2009 Götz Waschk <waschk@mandriva.org> 1:2.6.7-1mdv2010.0
+ Revision: 416455
- new version
- drop merged patches

* Thu Jul 09 2009 Götz Waschk <waschk@mandriva.org> 1:2.6.6-4mdv2010.0
+ Revision: 393873
- fix gegl check on startup (bug #52163)

* Tue May 19 2009 Götz Waschk <waschk@mandriva.org> 1:2.6.6-3mdv2010.0
+ Revision: 377484
- rebuild for new poppler

* Thu Apr 23 2009 Frederic Crozat <fcrozat@mandriva.com> 1:2.6.6-2mdv2009.1
+ Revision: 368799
- Patch7 (GIT): call fsync when renaming file
- Patch8 (GIT): fix crash in help browser
- Patch9 (GIT): fix undoing canvas resize
- Patch10 (GIT): fix color used in transformation

  + Götz Waschk <waschk@mandriva.org>
    - reenable gtk-doc

* Wed Mar 18 2009 Götz Waschk <waschk@mandriva.org> 1:2.6.6-1mdv2009.1
+ Revision: 357142
- new version
- disable gtk-doc

* Thu Mar 12 2009 Frederik Himpe <fhimpe@mandriva.org> 1:2.6.5-2mdv2009.1
+ Revision: 354432
- Rebuild for new webkit major

* Mon Feb 16 2009 Götz Waschk <waschk@mandriva.org> 1:2.6.5-1mdv2009.1
+ Revision: 340717
- update to new version 2.6.5
- fix autoreconf call

* Thu Jan 15 2009 Frederic Crozat <fcrozat@mandriva.com> 1:2.6.4-2mdv2009.1
+ Revision: 329902
- Restore unversioned binary name, both 2.4 and 2.6 version can't be installed in parallel anyway
- Enable MMX / SSE optimizations, they are used if available at runtime
- Don't compile with fast-math
- Update patch6, GIMP supports StartupNotify now

* Fri Jan 02 2009 Götz Waschk <waschk@mandriva.org> 1:2.6.4-1mdv2009.1
+ Revision: 323272
- new version
- rediff patches 0,1

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 1:2.6.3-2mdv2009.1
+ Revision: 319754
- fix strfmt
- rebuild for new python

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sun Nov 23 2008 Funda Wang <fwang@mandriva.org> 1:2.6.3-1mdv2009.1
+ Revision: 305989
- new version 2.6.3

* Sun Nov 09 2008 Götz Waschk <waschk@mandriva.org> 1:2.6.2-3mdv2009.1
+ Revision: 301342
- rebuild for missing package

* Fri Nov 07 2008 Götz Waschk <waschk@mandriva.org> 1:2.6.2-2mdv2009.1
+ Revision: 300856
- rebuild for new libxcb

* Fri Oct 31 2008 Götz Waschk <waschk@mandriva.org> 1:2.6.2-1mdv2009.1
+ Revision: 298848
- update to new version 2.6.2

* Thu Oct 16 2008 Funda Wang <fwang@mandriva.org> 1:2.6.1-5mdv2009.1
+ Revision: 294212
- we now provide 2.6 as main version

* Wed Oct 15 2008 Thierry Vignaud <tv@mandriva.org> 1:2.6.1-4mdv2009.1
+ Revision: 293982
- fix upgrading from gimp2.6
- remove obviously obsolete comment
- remove old obsolete buildconflicts on gimp-1.3

* Mon Oct 13 2008 Götz Waschk <waschk@mandriva.org> 1:2.6.1-3mdv2009.1
+ Revision: 293071
- fix libname

* Sun Oct 12 2008 Funda Wang <fwang@mandriva.org> 1:2.6.1-2mdv2009.1
+ Revision: 292744
- rebuild against new poppler

* Sat Oct 11 2008 Götz Waschk <waschk@mandriva.org> 1:2.6.1-1mdv2009.1
+ Revision: 292489
- new version
- copy 2.6 branch
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - new release
    - fix summary: it's now stable

  + Frederic Crozat <fcrozat@mandriva.com>
    - Add conflicts to upgrade from gimp2.5
    - Fix description
    - Rename to gimp2.6.spec
    - Switch to gimp2.6
    - Release 2.6.0 (keep it parallel installable with 2.4 for now)
    - Remove patch0, no longer needed

  + Funda Wang <fwang@mandriva.org>
    - New version 2.5.3

* Tue Aug 05 2008 Götz Waschk <waschk@mandriva.org> 1:2.4.6-2mdv2009.0
+ Revision: 263813
- disable gimp-remote
- new version
- reenable gimp-remote
- fix buildrequires
- new version
- bump deps
- build with webkit
- add patches 0,1 to fix the build
- update patch 6
- drop patches 8,9,10,11,12

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Apr 28 2008 Götz Waschk <waschk@mandriva.org> 1:2.4.6-1mdv2009.0
+ Revision: 197877
- drop dep on gutenprint to make the package installable
- new unstable version
- conflict with stable gimp
- drop patch 4
- update patch 6
- update buildrequires
- update file list
- branch stable gimp

* Fri Mar 21 2008 Giuseppe Ghibò <ghibo@mandriva.com> 1:2.4.5-3mdv2008.1
+ Revision: 189367
- Add missed .pth file for python in gimp-python subpackage.

* Tue Mar 18 2008 Frederic Crozat <fcrozat@mandriva.com> 1:2.4.5-2mdv2008.1
+ Revision: 188539
- Add conflicts to ease upgrade

* Sun Mar 02 2008 Frederic Crozat <fcrozat@mandriva.com> 1:2.4.5-1mdv2008.1
+ Revision: 177753
- Release 2.4.5

* Wed Jan 30 2008 Götz Waschk <waschk@mandriva.org> 1:2.4.4-1mdv2008.1
+ Revision: 160504
- new version

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Giuseppe Ghibò <ghibo@mandriva.com>
    - Add conditional BuildRoot for backports.

* Mon Dec 17 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 1:2.4.3-1mdv2008.1
+ Revision: 131016
- drop COPYING and useless docs like INSTALL etc.

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Frederic Crozat <fcrozat@mandriva.com>
    - Release 2.4.3

  + Giuseppe Ghibò <ghibo@mandriva.com>
    - enable printing beside external gutenprint plugin.
    - Added Patch9, 10, 11, 12 for backporting gimp 2.4.2 under 2007.0 and 2007.1.

* Wed Nov 21 2007 Götz Waschk <waschk@mandriva.org> 1:2.4.2-1mdv2008.1
+ Revision: 111024
- new version

* Sat Nov 17 2007 Funda Wang <fwang@mandriva.org> 1:2.4.1-2mdv2008.1
+ Revision: 109268
- rebuild for new lzma

* Thu Nov 01 2007 Götz Waschk <waschk@mandriva.org> 1:2.4.1-1mdv2008.1
+ Revision: 104352
- new version

* Wed Oct 24 2007 Götz Waschk <waschk@mandriva.org> 1:2.4.0-1mdv2008.1
+ Revision: 101760
- new version

* Thu Oct 11 2007 Götz Waschk <waschk@mandriva.org> 1:2.4.0-0.rc3.1mdv2008.1
+ Revision: 97149
- new version

* Tue Sep 11 2007 Götz Waschk <waschk@mandriva.org> 1:2.4.0-0.rc2.3mdv2008.0
+ Revision: 84560
- update patch 6 to disable startup notification (bug #33458)
- merge patch 7 with patch 6

* Mon Sep 10 2007 Götz Waschk <waschk@mandriva.org> 1:2.4.0-0.rc2.2mdv2008.0
+ Revision: 84098
- fix buildrequires
- fix license
- remove old obsoletes from libgimp
- add crossdesktop category (bug #33385)

* Tue Sep 04 2007 Götz Waschk <waschk@mandriva.org> 1:2.4.0-0.rc2.1mdv2008.0
+ Revision: 79129
- new version
- move gtk-doc files to devel package
- suggest gimp-help-2 to work around bug #9370

* Fri Aug 17 2007 Götz Waschk <waschk@mandriva.org> 1:2.4.0-0.rc1.1mdv2008.0
+ Revision: 65296
- new version
- fix installation

* Wed Aug 15 2007 Frederic Crozat <fcrozat@mandriva.com> 1:2.3.19-2mdv2008.0
+ Revision: 63747
- Patch8: fix command used for .desktop (GNOME bug #467023)

* Thu Jul 26 2007 Funda Wang <fwang@mandriva.org> 1:2.3.19-1mdv2008.0
+ Revision: 55806
- BR poppler-glib
- autotools is not needed here
- do not use versioned autotools
- New version 2.3.19

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - [BUGFIX] Add mimetype image/x-xcf-gimp to fix launch under KDE (bug #23486)

* Tue Jun 12 2007 Götz Waschk <waschk@mandriva.org> 1:2.3.18-1mdv2008.0
+ Revision: 38365
- disable parallel build
- new version
- drop patch 0

* Mon Jun 11 2007 Olivier Blin <blino@mandriva.org> 1:2.3.17-4mdv2008.0
+ Revision: 37968
- chestnut-pick g_slice fixes from Gimp SVN (2.3.17 was buggy and crashed on basic copy operations, upstream #441878)
- note: libx11-1.1.2-2mdv fixes additional crashes (in paintbrush usage)

  + Herton Ronaldo Krzesinski <herton@mandriva.com.br>
    - Rebuild with libslang2.

* Mon May 28 2007 Götz Waschk <waschk@mandriva.org> 1:2.3.17-2mdv2008.0
+ Revision: 31936
- new version
- drop patch

* Wed May 23 2007 Götz Waschk <waschk@mandriva.org> 1:2.3.16-2mdv2008.0
+ Revision: 29998
- P7: security fix for CVE-2007-2356
- readd menu macros
- remove extra icons
- new version
- fix buildrequires
- readd changelog

